/*!
 * @file    	main.c
 * @brief	 	Main program body
 *
 * @details		
 *
 * @version		V1.0.0
 * @author  	
 * @date    	2019-9-3
 *
 */

#include "apm32_mini.h"

/*!
 * @brief		delay
 *
 * @param		delay	delay counter
 *
 * @retval		None
 *
 * @see 
 *
 * @note 
 */
static void Delay (uint32_t delay)
{
	volatile uint32_t delayCnt = delay;
	
	while(delay--);
}

/*!
 * @brief		Main program
 *
 * @param		None
 *
 * @retval		None
 *
 * @see 
 *
 * @note 
 */	
int main(void)
{
	/* LED Init */
	APM_MINI_LedInit(LED2);
	APM_MINI_LedInit(LED3);
	
	/* LED2 Trun on */
	APM_MINI_LedOn(LED2);
	/* LED3 Trun off */
	APM_MINI_LedOff(LED3);
	
	while (1)
	{
		Delay(3000000);
		
		APM_MINI_LedToggle(LED2);	
		APM_MINI_LedToggle(LED3);
	}
}
