/*!
 * @file    	main.c
 * @brief	 	Main program body
 *
 * @details		
 *
 * @version		V1.0.0
 * @author  	
 * @date    	2019-9-3
 *
 */

#include "apm32f10x.h"
#include <stdio.h>
#include <stdarg.h>
#include <misc.h>
#include "apm32_mini.h"

/*!
 * @brief		delay
 *
 * @param		delay	delay counter
 *
 * @retval		None
 *
 * @see 
 *
 * @note 
 */
int main(void)
{

  /* USARTx configured as follow:
        - BaudRate = 115200 baud  
        - Word Length = 8 Bits
        - One Stop Bit
        - No parity
        - Hardware flow control disabled (RTS and CTS signals)
        - Receive and transmit enabled
  */	
	USART_ConfigStruct_T USART_ConfigStruct;
	
	USART_StructInit(&USART_ConfigStruct);
	USART_ConfigStruct.baudRate = 115200;
	
	APM_MINI_COMInit(COM1, &USART_ConfigStruct);
	
	/* Output a message on Hyperterminal using printf function */
	printf("\n\rUSART Printf Example: retarget the C library printf function to the USART\n\r");

	while (1);
}

#ifdef __GNUC__
#define PUTCHAR_PROTOTYPE int _io_putchar(int ch)
#else
#define PUTCHAR_PROTOTYPE int fputc(int ch, FILE *f)
#endif

/*!
 * @brief		Retargets the C library printf function to the USART
 *
 * @param		None
 *
 * @retval		None
 *
 * @see 
 *
 * @note 
 */
PUTCHAR_PROTOTYPE
{
	USART_TxData(APM32_MINI_COM1, (uint8_t) ch);
	
	/* Loop until the end of transmission */
	while (USART_ReadFlag(APM32_MINI_COM1, USART_FLAG_TXBE) == RESET);
	
	return ch;
}

